# Directly Assign Items

For assignments to Users, we default to using the `OwnerId` field. If you want to use a different field for assignments to a User, specify that value for the assignment field in the editor. This must be a User lookup field on the item being assigned.

Assignments to Salesforce Queues will always use the OwnerId field.

By default, the assignment is updated immediately in the database. If you want to perform the assignments but delay the update (helpful in bulkifying flows), change Update Item in the editor to "Later, Using Update Records". This will set `updateImmediately` to false.

Use the `assignment` or `assignments` output to see information about the assignments that were performed as part of a Flow run. You can use the individual [Assignment](/kb/automation-builder-kit-abk/models/assignment.md) objects as an input to other actions such as [Send Single Assignment Email](/kb/automation-builder-kit-abk/actions/next-steps/sendsingleemailnotificationaction.md).

## Inputs

{% hint style="info" %}
Please note that you will not directly interact with these input fields as you do with some Flow Actions. Instead the Gradient Works custom editor takes care of the heavy lifting.
{% endhint %}

| Name              | Required | Type           | Description                                                                                                 |
| ----------------- | -------- | -------------- | ----------------------------------------------------------------------------------------------------------- |
| assigneeId        | No       | Id             | The Id of the User or Salesforce Queue to assign to.                                                        |
| assigneeName      | No       | String         | Salesforce Queue name                                                                                       |
| assigneeRecord    | No       | SObject        | User or Salesforce Queue Record to assign item to.                                                          |
| item              | No       | SObject        | The Salesforce object to assign if assigning a single item.                                                 |
| itemField         | No       | String         | The field on the item to use for User assignment. Defaults to OwnerId.                                      |
| items             | No       | List\<SObject> | The List of Salesforce objects to assign.                                                                   |
| updateImmediately | No       | Boolean        | Set to false to perform the assignment but not to update the item record in the database. Defaults to true. |

## Outputs

| Name        | Type                                                                    | Description                                                                                   |
| ----------- | ----------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| assignment  | [Assignment](/kb/automation-builder-kit-abk/models/assignment.md)       | The first assignment result. Can be used when working with a single item in place of results. |
| assignments | List<[Assignment](/kb/automation-builder-kit-abk/models/assignment.md)> | The results of all item assignments.                                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/automation-builder-kit-abk/actions/assignment/directassignsingleitemaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
